//---------------------------------------------------------------------------

#ifndef RadialGliLightH
#define RadialGliLightH
//---------------------------------------------------------------------------
#include "LightBase.h"
/**
* Radial Growth Light - Version 1.0
*
* Some trees do not get any specific light value calculated - they just get a
* flat full-sun GLI value (100).  This behavior will assign that value.  The
* namestring for this behavior is "radiallightshell".  The parameter file call
* string is "radiallight".
*
* Copyright 2003 Charles D. Canham.
* @author Lora E. Murphy
*
* <br>Edit history:
* <br>-----------------
* <br>April 28, 2004 - Submitted as beta (LEM)
*/
class clRadialLight : public clLightBase {
//note: need the virtual keyword to avoid base class ambiguity.

  public:

  /**
  * Constructor.  Sets the namestring.
  *
  * @param p_oSimManager Sim Manager object.
  */
  clRadialLight(clSimManager *p_oSimManager) :
    clLightBase(p_oSimManager), clBehaviorBase(p_oSimManager),
    clWorkerBase(p_oSimManager) {strcpy(m_cNameString, "radiallightshell");
    m_bNeedsCommonParameters = false;};

  //~clRadialLight(); //use default destructor

  /**
  * Gets the GLI for a tree.
  *
  * @param p_oTree Tree for which to get GLI.
  * @param p_oPop Tree population object.
  * @return 100.
  */
  float CalcLightValue(clTree *p_oTree, clTreePopulation *p_oPop)
    {return 100.0;};

};
//---------------------------------------------------------------------------
#endif
